local mod = RW:Boss("The Black Knight", "Party - WOTLK", "Trial of the Champion")
local L

mod.type = "party"

mod.BossIcon = [[Interface\Icons\INV_Helmet_23]]

local wExplode = nil
local tExplode = nil
local wDesecrate = nil

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.win = "My congratulations, champions. Through trials both planned and unexpected, you have triumphed."
	end
	L = mod:GetLocale()
	self.L = L	
	self:SetWin("combat")
	self:SetTrigger(35451)
	tExplode = self:CastTimer(67729)
	wExplode = self:RunawayWarning(67729)
	wDesecrate = self:RunawayWarning(67781,67876)
end

function mod:OnEngage(trigger)
	self:TrackAura("Desecrate", 67781, 67876)
	self:TrackCastStart("Explode",67729)
end

function mod:Desecrate(applied,args)
	if applied and args.dName == self.pName then
		wDesecrate:Show()
	end
end

function mod:Explode(args)
	tExplode:Start()
	wExplode:Show()
end